library(stockassessment)
setwd("run")
load("data.RData")
conf<-loadConf(dat,"../conf/model.cfg", patch=TRUE)
par<-defpar(dat,conf)

mymap = list()
issb = length(par$logFpar)
mymap$logFpar = 1:issb
mymap$logFpar[issb] <- NA
mymap$logFpar <- factor(mymap$logFpar)
par$logFpar[issb] <- log(1)  ## fix Q=1, log(1)

issb = length(par$logSdLogObs)
mymap$logSdLogObs <- 1:issb
mymap$logSdLogObs[issb] <- NA
mymap$logSdLogObs <- factor(mymap$logSdLogObs)
par$logSdLogObs[issb] <- log(0.4) ## fix CV = 0.4



fit<-sam.fit(dat,conf,par, map=mymap)
#fit<-sam.fit(dat,conf,par)
if(fit$opt$convergence!=0) stop("Model did not converge.")
save(fit, file="model.RData")
